Bug 10701 - In transit information doesn't display on the bibliographic detail page
Summary: In transit information doesn't display on the bibliographic detail page
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-08 19:37 UTC by Owen Leonard
Modified: 2014-12-07 20:02 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 10701 - In transit information doesn't display on the bibliographic detail page (1.81 KB, patch)
2013-08-08 19:44 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 10701 - In transit information doesn't display on the bibliographic detail page (1.97 KB, patch)
2013-08-08 20:08 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
[PASSED QA] Bug 10701 - In transit information doesn't display on the bibliographic detail page (2.07 KB, patch)
2013-08-17 21:53 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2013-08-08 19:37:53 UTC
My patch for Bug 10083 may have made the in-transit strings translatable, but it messed up the template variable names so that the details don't show.
Comment 1 Owen Leonard 2013-08-08 19:44:03 UTC Comment hidden (obsolete)
Comment 2 Bernardo Gonzalez Kriegel 2013-08-08 20:08:41 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2013-08-17 21:53:23 UTC
Created attachment 20434 [details] [review]
[PASSED QA] Bug 10701 - In transit information doesn't display on the bibliographic detail page

The patch for Bug 10083 incorrectly changed some template variable names
so that in-transit details could not be shown on the biblio detail page.
This patch corrects the error.

To test, perform any action that will trigger an transfer between
libraries (for instance, check in an item from Library A at Library B).
View the detail page for that title and look for the transfer details in
the status column of the holdings table. It should show correct
information:

"In transit from Athens to Nelsonville since 08/08/2013"

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
Comment: Work as described, no errors.
Before patch incorrect information: "In transit from to since"
after patch correct information.

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Works perfectly and passes all tests.
Comment 4 Galen Charlton 2013-08-19 15:16:47 UTC
Pushed to master.  Thanks, Owen!
Comment 5 Tomás Cohen Arazi 2013-09-13 14:38:05 UTC
This patch has been pushed to 3.12.x, will be in 3.12.5.

Thanks Owen!
Comment 6 Bernardo Gonzalez Kriegel 2013-09-14 23:31:10 UTC
Does not apply cleanly to 3.10.x, please submit one formatted for 3.10.x